Create a webhook subscription

Body·
application/json
  • carrierPartnerId
    Type: string | nullFormat: uuid
  • clientPartnerId
    Type: string | nullFormat: uuid
  • eventType
    Type: integerenum

    Integer numbers.

    values
    • Unknown = 0
    • CronRecurrence = 1
    • IdentityConnectionActionExecution = 2
    • Dropzone = 3
    • ConsignmentCreated = 101
  • signingKey1
    Type: string | null
  • signingKey2
    Type: string | null
  • webhookUrl
    Type: string | null
Responses
  • application/json
Request Example for post/v1/webhook-subscriptions/create
curl https://api.consignlyhq.com/v1/webhook-subscriptions/create \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "webhookUrl": null,
  "signingKey1": null,
  "signingKey2": null,
  "eventType": "enum (Unknown = 0, CronRecurrence = 1, IdentityConnectionActionExecution = 2, Dropzone = 3, ConsignmentCreated = 101, ConsignmentGeneralUpdated = 102, ConsignmentRouteUpdated = 103, ConsignmentContainerUpdated = 104, ConsignmentMetricsUpdated = 105, ConsignmentTasksUpdated = 106, ConsignmentConsumablesUpdated = 107, ConsignmentProductsUpdated = 108, ConsignmentPodCreated = 109, ConsignmentImportPendingReconciliation = 110, ConsignmentImportReconciled = 111, ConsignmentStatusUpdated = 112, ConsignmentServiceTypeUpdated = 113, ConsignmentTrackingUpdated = 114, ConsignmentConnectionActionManualTrigger = 115, ConsignmentNoteAttachmentUpdated = 116, ConsignmentConnectionActionUpdated = 117, PartnerScheduleCreated = 201, PartnerScheduleRemoved = 202, PartnerScheduleGeneralUpdated = 203, PartnerScheduleStatusUpdated = 204, PartnerScheduleTransactionsUpdated = 205, PartnerScheduleConnectionActionManualTrigger = 206, PartnerScheduleConnectionActionUpdated = 207, JobCreated = 301, JobUpdated = 302, JobStatusUpdated = 303, JobConnectionActionManualTrigger = 304)",
  "clientPartnerId": null,
  "carrierPartnerId": null
}'
{
  "webhookSubscriptionId": "123e4567-e89b-12d3-a456-426614174000"
}